Index: gcc/go/gofrontend/runtime.cc
===================================================================
--- gcc/go/gofrontend/runtime.cc	(revision 194666)
+++ gcc/go/gofrontend/runtime.cc	(working copy)
@@ -6,8 +6,6 @@
 
 #include "go-system.h"
 
-#include <gmp.h>
-
 #include "gogo.h"
 #include "types.h"
 #include "expressions.h"
Index: gcc/go/gofrontend/expressions.h
===================================================================
--- gcc/go/gofrontend/expressions.h	(revision 194666)
+++ gcc/go/gofrontend/expressions.h	(working copy)
@@ -7,7 +7,6 @@
 #ifndef GO_EXPRESSIONS_H
 #define GO_EXPRESSIONS_H
 
-#include <gmp.h>
 #include <mpfr.h>
 
 #include "operator.h"
Index: gcc/go/gofrontend/statements.cc
===================================================================
--- gcc/go/gofrontend/statements.cc	(revision 194666)
+++ gcc/go/gofrontend/statements.cc	(working copy)
@@ -6,8 +6,6 @@
 
 #include "go-system.h"
 
-#include <gmp.h>
-
 #include "go-c.h"
 #include "types.h"
 #include "expressions.h"
Index: gcc/go/gofrontend/gogo-tree.cc
===================================================================
--- gcc/go/gofrontend/gogo-tree.cc	(revision 194666)
+++ gcc/go/gofrontend/gogo-tree.cc	(working copy)
@@ -6,8 +6,6 @@
 
 #include "go-system.h"
 
-#include <gmp.h>
-
 #include "toplev.h"
 #include "tree.h"
 #include "gimple.h"
Index: gcc/go/gofrontend/types.cc
===================================================================
--- gcc/go/gofrontend/types.cc	(revision 194666)
+++ gcc/go/gofrontend/types.cc	(working copy)
@@ -6,8 +6,6 @@
 
 #include "go-system.h"
 
-#include <gmp.h>
-
 #include "toplev.h"
 #include "intl.h"
 #include "tree.h"
Index: gcc/go/gofrontend/expressions.cc
===================================================================
--- gcc/go/gofrontend/expressions.cc	(revision 194666)
+++ gcc/go/gofrontend/expressions.cc	(working copy)
@@ -8,8 +8,6 @@
 
 #include <algorithm>
 
-#include <gmp.h>
-
 #include "toplev.h"
 #include "intl.h"
 #include "tree.h"
Index: gcc/go/gofrontend/lex.h
===================================================================
--- gcc/go/gofrontend/lex.h	(revision 194666)
+++ gcc/go/gofrontend/lex.h	(working copy)
@@ -7,7 +7,6 @@
 #ifndef GO_LEX_H
 #define GO_LEX_H
 
-#include <gmp.h>
 #include <mpfr.h>
 
 #include "operator.h"
Index: gcc/go/go-system.h
===================================================================
--- gcc/go/go-system.h	(revision 194666)
+++ gcc/go/go-system.h	(working copy)
@@ -125,15 +125,6 @@ struct hash<T*>
 // system.h.
 #include <iostream>
 
-// Some versions of gmp.h assume that #include <iostream> will define
-// std::FILE.  This is not true with libstdc++ 4.3 and later.  This is
-// fixed in GMP 4.3, but at this point we don't know which version of
-// GMP is in use.  Since the top level configure script accepts GMP
-// 4.2, at least for now we #include <cstdio> to ensure that GMP 4.2
-// will work.  FIXME: This can be removed when we require GMP 4.3 or
-// later.
-#include <cstdio>
-
 #include "system.h"
 #include "ansidecl.h"
 #include "coretypes.h"
